Reddit Scraping
Reddit Post Search API
POST /v1/reddit/search
Use this endpoint to search Reddit post discussions across communities without building your own Reddit parser.
#Request Example
curl -X POST /v1/reddit/search \
-H "Authorization: Bearer your-token" \
-H "Content-Type: application/json" \
-d '{
"query": "laravel",
"type": "posts",
"sort": "relevance",
"time_range": "month"
}'
#Request Body
{
"query": "laravel",
"type": "posts",
"sort": "relevance",
"time_range": "month"
}
#Pricing
- 3 credits
Credits are only deducted for successful requests.
#Valid Options
type:postssort:new,relevance,top,hot,commentstime_range:year,month,week,day,hour,all
#Example Response
{
"response": [
{
"id": "abc123",
"title": "Test Reddit Post",
"author": "testuser",
"subreddit": "testsubreddit",
"score": 100,
"num_comments": 25,
"url": "https://reddit.com/r/testsubreddit/comments/abc123/test_post",
"selftext": "This is a test post content"
}
]
}